Page MenuHomePhabricator

[BlueSpiceFoundation] onMakeGlobalVariablesScript calls deprecated BsConfig::loadSettings
Closed, ResolvedPublic

Description

With BlueSpiceFoundation and ExtJSBase, hitting /index.php?title=Special:JavaScriptTest/qunit/export yields:

PHP Deprecated:  Use of BsConfig::loadSettings was deprecated in MediaWiki 3.0.0.
[Called from BsCore::doInitialise in extensions/BlueSpiceFoundation/includes/Core.class.php at line 288] in /workspace/src/includes/debug/MWDebug.php on line 309
PHP Deprecated:  Use of BsConfig::getScriptSettings was deprecated in MediaWiki 3.0.0.
[Called from BsCoreHooks::onMakeGlobalVariablesScript in BlueSpiceFoundation/includes/CoreHooks.php at line 197] in /workspace/src/includes/debug/MWDebug.php on line 309
FunctionDeprecated
BsCore::doInitialiseBsConfig::loadSettings
BsCoreHooks::onMakeGlobalVariablesScriptBsConfig::getScriptSettings

At first wfDeprecated() is for MediaWiki and there is no version 3.0.0 yet :] Regardless the callee should be updated in BsCoreHooks::onMakeGlobalVariablesScript.

Event Timeline

hashar created this task.May 31 2018, 4:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2018, 4:53 PM
hashar updated the task description. (Show Details)Jun 1 2018, 3:33 PM
Mglaser added a subscriber: Mglaser.Jun 1 2018, 8:21 PM

The version number refers to the upcoming BlueSpice version. AFAIC, wfDeprecated unfortunately only takes version numbers. Is there a better way to deprecated methods in versioned extensions?

Regardless, we will update the code.

Osnard added a subscriber: Osnard.Jun 4 2018, 6:27 AM
hashar updated the task description. (Show Details)Jun 4 2018, 8:44 PM
Osnard claimed this task.Jun 6 2018, 5:53 AM

I will remove calls to deprecated interfaces asap.

Any chance to have the deprecation notice to be either removed or fixed? :]

Change 441198 had a related patch set uploaded (by Robert Vogel; owner: Robert Vogel):
[mediawiki/extensions/BlueSpiceFoundation@master] Change depecation warnings due to CI test issues

https://gerrit.wikimedia.org/r/441198

I've removed the calls to wfDeprecated() in the places mentioned. Other occurrences will be fixed later. Sorry for the delay.

Change 441198 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceFoundation@master] Change depecation warnings due to CI test issues

https://gerrit.wikimedia.org/r/441198

hashar added a comment.EditedJun 21 2018, 12:25 PM

The job now passes on master with php7.0 / mysql. Progress! Thank you @Osnard :]

I guess we can now mark this task resolved, I have filled it solely for the CI use case.

Osnard closed this task as Resolved.Jun 21 2018, 2:00 PM
Vvjjkkii renamed this task from [BlueSpiceFoundation] onMakeGlobalVariablesScript calls deprecated BsConfig::loadSettings to jwbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Osnard as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from jwbaaaaaaa to [BlueSpiceFoundation] onMakeGlobalVariablesScript calls deprecated BsConfig::loadSettings.Jul 2 2018, 2:58 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Osnard.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.